%define oname	LucenePlusPlus
%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		lucene++
Summary:	C++ port of the popular Java Lucene library
Version:	3.0.7
Release:	%mkrel 4
License:	LGPLv3+ and ASL2.0
Group:		Development/C++
Url:		https://github.com/luceneplusplus/LucenePlusPlus
Source0:	https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_%{version}/%{oname}-%{version}.tar.xz
#From upstream:
Patch0:		LucenePlusPlus-3.0.7-boost-1.58-fix.patch
Patch1:		LucenePlusPlus-3.0.7-pkgconfig-file-fix.patch
BuildRequires:	cmake
BuildRequires:	lib64boost-devel

%description
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{libname}
Summary:	C++ port of the popular Java Lucene library
Group:		System/Libraries

%description -n %{libname}
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -qn %{oname}-rel_%{version}
%apply_patches

%build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_libdir}/lib%{name}*.so


%changelog
* Sat Sep 17 2022 tex - 3.0.7-4pclos2022
- rebuild against updates

* Fri Sep 17 2021 tex - 3.0.7-3pclos2021
- rebuild for new boost

* Sat Jun 01 2019 tex - 3.0.7-2pclos2019
- rebuild against updates

* Wed Dec 06 2017 pp <pp> 3.0.7-1pclos2017
- import lucene++

